> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions

> List identity sessions in an App by user ID.
## Query String Example

```
/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2
```

## Returns

A successful response returns list of `SessionListItem` objects with associated authentication factors that include unique identifiers and delivery methods in the `sessions` property.



## OpenAPI

````yaml get /v1/auth/sessions/list
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/sessions/list:
    parameters: []
    get:
      tags:
        - Sessions
      summary: List Sessions
      description: >-
        List identity sessions in an App by user ID.

        ## Query String Example


        ```

        /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2

        ```


        ## Returns


        A successful response returns list of `SessionListItem` objects with
        associated authentication factors that include unique identifiers and
        delivery methods in the `sessions` property.
      operationId: ListSessions
      parameters:
        - name: user_id
          in: query
          required: true
          style: form
          schema:
            type: string
            example: user_24wFP9pDa9YiMJLun94iKykoZs2
          description: Unique User ID to retrieve active sessions.
      responses:
        '200':
          description: List Sessions response
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  sessions:
                    type: array
                    uniqueItems: true
                    items:
                      $ref: '#/components/schemas/SessionListItem'
                required:
                  - sessions
              examples:
                ListSessionsResp:
                  value:
                    sessions:
                      - id: sess_24tZ6tlJ7CxlTwB6Zoj6SHQ9vU3
                        user_id: user_24wFP9pDa9YiMJLun94iKykoZs2
                        started_at: 1643163802
                        expires_at: 1643763867
                        last_active_at: 1643163867
                        factors:
                          - delivery_channel: sms
                            type: otp
                            method:
                              method_id: pn_24oXBLRv6BoHXbNZoTAZkAFlRsy
                              method_type: phone_number
                              phone_number_id: pn_24oXBLRv6BoHXbNZoTAZkAFlRsy
                              phone_number: '+14152222222'
                              last_verified_at: 1643163802
                        device_fingerprint:
                          user_agent: ''
                          ip: ''
                        updated_at: 1643163867
                        created_at: 1643163802
components:
  schemas:
    SessionListItem:
      description: >-
        Session object returned in list responses. Excludes session_token for
        security reasons.
      type: object
      title: SessionListItem
      properties:
        id:
          type: string
          minLength: 1
        user_id:
          type: string
          minLength: 1
        started_at:
          type: number
        expires_at:
          type: number
        last_active_at:
          type: number
        factors:
          type: array
          uniqueItems: true
          minItems: 1
          items:
            type: object
            properties:
              delivery_channel:
                type: string
                minLength: 1
                description: >-
                  Delivery channel for this factor. Possible values: sms, email,
                  totp_authenticator, totp_recovery_code, google_oauth,
                  apple_oauth, microsoft_oauth, discord_oauth, okta_oauth,
                  github_oauth, slack_oauth, facebook_oauth,
                  webauthn_credential, eth_wallet, sol_wallet.
              type:
                type: string
                minLength: 1
                description: >-
                  Authentication type of factor. Possible values: otp, oauth,
                  wallet, totp, webauthn.
              method:
                type: object
                required:
                  - method_id
                  - method_type
                  - last_verified_at
                properties:
                  id:
                    type: string
                  method_id:
                    type: string
                    minLength: 1
                  method_type:
                    type: string
                    minLength: 1
                    description: >-
                      Identifier method type. Possible values: email, wallet,
                      phone_number, webauthn.
                  last_verified_at:
                    type: number
                  phone_number_id:
                    type: string
                    minLength: 1
                  phone_number:
                    type: string
                    minLength: 1
                  email_id:
                    type: string
                  email:
                    type: string
                  wallet_type:
                    type: string
                  wallet_id:
                    type: string
                  wallet_public_address:
                    type: string
                  totp_id:
                    type: string
                  webauthn_credential_id:
                    type: string
                  provider_subject:
                    type: string
            required:
              - delivery_channel
              - type
              - method
        device_fingerprint:
          type: object
          required:
            - user_agent
            - ip
          properties:
            user_agent:
              type: string
            ip:
              type: string
              minLength: 1
        updated_at:
          type: number
        created_at:
          type: number
      required:
        - id
        - user_id
        - started_at
        - expires_at
        - last_active_at
        - factors
        - device_fingerprint
        - updated_at
        - created_at
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````